#!/usr/bin/env python3

from dns.resolver import query
from dns.exception import DNSException


# input: dns name and optional the type of the record and return all the answered data in a list or in case of exception
# an empty list
def get_mx(dns_name, type="MX"):
    try:
        answers = query(dns_name, type)
    except DNSException:
        return []
    ret = []
    for a in answers:
        element = (str(a.preference), str(a.exchange))
        ret.append(element)

    return ret


if __name__ == "__main__":
    inp = input("Add meg a lekérdezendő domain-t, valamint ha szeretnéd specifikálni, a rekord típusát is szóközzel "
                "elválasztva (az alapértelmezett rekord típus az MX): ")
    inp = inp.split(" ")
    if len(inp) >= 2:
        list = get_mx(inp[0], inp[1])
        for e in list:
            print(e)
    else:
        list = get_mx(inp[0])
        for e in list:
            print(e)

