#!/usr/bin/env python3

from socketserver import BaseRequestHandler, ThreadingTCPServer
import time
import argparse


class MyHandler(BaseRequestHandler):
    def handle(self):
        self.request.sendall(str.encode(time.ctime()))


if __name__ == "__main__":
    parser = argparse.ArgumentParser(description="Time server")
    parser.add_argument('--ip', type=str)
    parser.add_argument('--port', type=int)
    args = parser.parse_args()
    a = vars(args)
    HOST, PORT = a["ip"], int(a["port"])
    server = ThreadingTCPServer((HOST, PORT), MyHandler)
    try:
        server.serve_forever()
    except KeyboardInterrupt:
        server.shutdown()
